$packageName = 'buildmaster.agent.tcp'
$installerType = 'EXE'
$downloadUrl  = 'http://inedo.com/files/buildmaster/agent-installer/5.3.3'
$silentArgs = '/S'
$validExitCodes = @(0)

$packageParameters = $env:chocolateyPackageParameters

$arguments = @{"AgentType" = "TCP"};

If($packageParameters) {
    $MATCH_PATTERN = "/([a-zA-Z]+):([`"'])?([a-zA-Z0-9- _]+)([`"'])?"
    $PARAMATER_NAME_INDEX = 1
    $VALUE_INDEX = 3

    if($packageParameters -match $MATCH_PATTERN ) {
        $results = $packageParameters | Select-String $MATCH_PATTERN -AllMatches 
        $results.matches | % {
            $arguments.Set_Item(
                $_.Groups[$PARAMATER_NAME_INDEX].Value.Trim(),
                $_.Groups[$VALUE_INDEX].Value.Trim())
        }
    }
}

$arguments.Keys | % {
    $silentArgs += ' "/' + $_ + ':' + $arguments[$_] + '"'
}

Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$downloadUrl" -validExitCodes $validExitCodes